Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.adv.impl
Class SimpleAdvertisement

    java.lang.Object
      org.apache.muse.core.AbstractCapability
          org.apache.muse.ws.dm.muws.adv.impl.AbstractAdvertisement
              org.apache.muse.ws.dm.muws.adv.impl.SimpleAdvertisement

All Implemented Interfaces:
  Advertisement, Capability, Initialization, InitializationParameters, ResourceManagerListener, Shutdown

Direct Known Subclasses:
  ServiceGroupEntryAdvertisement

public class SimpleAdvertisement
extends AbstractAdvertisement

Author:
  Dan Jemiolo (danj), Joel Hawkins

Constructor Summary
`SimpleAdvertisement()`

Method Summary
`protected boolean` | `isAdvertised(EndpointReference epr)`

Methods inherited from class org.apache.muse.ws.dm.muws.adv.impl.AbstractAdvertisement
`createWefFactory, initializeCompleted, resourceAdded, resourceRemoved, sendMessage, subscribeInitialConsumer`

Methods inherited from class org.apache.muse.core.AbstractCapability
`getActions, getCapabilityURI, getEnvironment, getInitializationParameter, getInitializationParameters, getLog, getMessageHandler, getPersistence, getResource, hasBeenInitialized, hasBeenShutdown, initialize, prepareShutdown, setCapabilityURI, setEnvironment, setInitializationParameters, setLog, setMessageHandler, setMessageHandlers, setPersistence, setResource, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Constructor Detail

### SimpleAdvertisement

    public SimpleAdvertisement()

Method Detail

### isAdvertised

    protected boolean isAdvertised(EndpointReference epr)

  Specified by:
    `isAdvertised` in class `AbstractAdvertisement`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD